# FeatureDetection

Core/FeatureDetection.js 267
A set of functions to detect whether the current browser supports various features.

### Methods

#### static Cesium.FeatureDetection.supportsBasis(scene) → Boolean
Core/FeatureDetection.js 301

Detects whether the current browser supports Basis Universal textures and the web assembly modules needed to transcode them.

Name | Type | Description
--- | --- | ---
`scene` | Scene |

##### Returns:

true if the browser supports web assembly modules and the scene supports Basis Universal textures, false if not.

#### static Cesium.FeatureDetection.supportsBigInt() → Boolean
Core/FeatureDetection.js 357

Detects whether the current browser supports BigInt.

##### Returns:

true if the browser supports BigInt, false if not.

##### See:

- BigInt Specification

#### static Cesium.FeatureDetection.supportsBigInt64Array() → Boolean
Core/FeatureDetection.js 335

Detects whether the current browser supports BigInt64Array typed arrays.

##### Returns:

true if the browser supports BigInt64Array typed arrays, false if not.

##### See:

- Typed Array Specification

#### static Cesium.FeatureDetection.supportsBigUint64Array() → Boolean
Core/FeatureDetection.js 346

Detects whether the current browser supports BigUint64Array typed arrays.

##### Returns:

true if the browser supports BigUint64Array typed arrays, false if not.

##### See:

- Typed Array Specification

#### static Cesium.FeatureDetection.supportsFullscreen() → Boolean
Core/FeatureDetection.js 313

Detects whether the current browser supports the full screen standard.

##### Returns:

true if the browser supports the full screen standard, false if not.

##### See:

- Fullscreen
- W3C Fullscreen Living Specification

#### static Cesium.FeatureDetection.supportsTypedArrays() → Boolean
Core/FeatureDetection.js 324

Detects whether the current browser supports typed arrays.

##### Returns:

true if the browser supports typed arrays, false if not.

##### See:

- Typed Array Specification

#### static Cesium.FeatureDetection.supportsWebAssembly() → Boolean
Core/FeatureDetection.js 379

Detects whether the current browser supports Web Assembly.

##### Returns:

true if the browsers supports Web Assembly, false if not.

##### See:

- https://developer.mozilla.org/en-US/docs/WebAssembly

#### static Cesium.FeatureDetection.supportsWebWorkers() → Boolean
Core/FeatureDetection.js 368

Detects whether the current browser supports Web Workers.

##### Returns:

true if the browsers supports Web Workers, false if not.

##### See:

- http://www.w3.org/TR/workers/